<?php
/*
  $Id: account_details.php,v 1.1.1.1 2002/11/28 23:22:27 wilt Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

  $newsletter_array = array(array('id' => '1',
                                  'text' => ENTRY_NEWSLETTER_YES),
                            array('id' => '0',
                                  'text' => ENTRY_NEWSLETTER_NO));
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td class="formAreaTitle"><?php echo CATEGORY_PERSONAL; ?></td>
  </tr>
  <tr>
  <TR>
           <TD class=main>
                    <TABLE cellSpacing=0 cellPadding=0 width=500 align=left
                        border=0>
                    <TBODY>
                    <TR>
                    <TD vAlign=top width=7 rowSpan=4><IMG height=1
                              alt=""
                              src="images/aa/pixel_trans.gif"
                              width=7 border=0></TD>
                    <TD vAlign=top width=495 colSpan=3 height=8><IMG
                              height=8
                              src="images/aa/Untitled-1_02.jpg"
                              width=495></TD></TR>
                    <TR>
                    <TD vAlign=top width=5
                            background="images/aa/Untitled-1_03.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=5 border=0></TD>
                    <TD width=484
                            background="images/aa/Untitled-1_04.gif">
                        <TABLE cellSpacing=0 cellPadding=2
                              width="100%" border=0>
                        <TBODY>
                        <TR>
                        <TD class=main>
                           <TABLE cellSpacing=0 cellPadding=2 border=0>
                           <TBODY>

                           <TR>
                           <TD class=main>&nbsp;<?php echo ENTRY_FIRST_NAME; ?></TD>
                           <TD class=main>&nbsp<?php
  if ($is_read_only) {
    echo $account['customers_firstname'];
  } elseif ($error) {
    if ($entry_firstname_error) {
      echo tep_draw_input_field('firstname') . '&nbsp;' . ENTRY_FIRST_NAME_ERROR;
    } else {
      echo $firstname . tep_draw_hidden_field('firstname');
    }
  } else {
    echo tep_draw_input_field('firstname', $account['customers_firstname']) . '&nbsp;' . ENTRY_FIRST_NAME_TEXT;
  }
?></TD></TR>
                                <TR>
                                <TD class=main>&nbsp;<?php echo ENTRY_LAST_NAME; ?></TD>
                                <TD class=main>&nbsp;<?php
  if ($is_read_only) {
    echo $account['customers_lastname'];
  } elseif ($error) {
    if ($entry_lastname_error) {
      echo tep_draw_input_field('lastname') . '&nbsp;' . ENTRY_LAST_NAME_ERROR;
    } else {
      echo $lastname . tep_draw_hidden_field('lastname');
    }
  } else {
    echo tep_draw_input_field('lastname', $account['customers_lastname']) . '&nbsp;' . ENTRY_LAST_NAME_TEXT;
  }
?></TD></TR>

                                <TR>
                                <TD class=main>&nbsp;<?php echo ENTRY_EMAIL_ADDRESS; ?></TD>
                                <TD class=main>&nbsp;<?php
  if ($is_read_only) {
    echo $account['customers_email_address'];
  } elseif ($error) {
    if ($entry_email_address_error) {
      echo tep_draw_input_field('email_address') . '&nbsp;' . ENTRY_EMAIL_ADDRESS_ERROR;
    } elseif ($entry_email_address_check_error) {
      echo tep_draw_input_field('email_address') . '&nbsp;' . ENTRY_EMAIL_ADDRESS_CHECK_ERROR;
    } elseif ($entry_email_address_exists) {
      echo tep_draw_input_field('email_address') . '&nbsp;' . ENTRY_EMAIL_ADDRESS_ERROR_EXISTS;
    } else {
      echo $email_address . tep_draw_hidden_field('email_address');
    }
  } else {
    echo tep_draw_input_field('email_address', $account['customers_email_address']) . '&nbsp;' . ENTRY_EMAIL_ADDRESS_TEXT;
  }
?></TD></TR></TBODY></TABLE></TD></TR></TBODY></TABLE></TD>

                            <TD vAlign=top width=6
                            background="images/aa/Untitled-1_05.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=6 border=0></TD>
                        <TR>
                            <TD vAlign=top width=495 colSpan=3 height=18><IMG
                              height=18
                              src="images/aa/Untitled-1_06.jpg"
                              width=495></TD></TR></TBODY></TABLE></TD></TR>
                               <tr>
    <td class="formAreaTitle"><br><?php echo CATEGORY_ADDRESS; ?></td>
  </tr>

  <TR>
           <TD class=main>
                    <TABLE cellSpacing=0 cellPadding=0 width=500 align=left
                        border=0>
                    <TBODY>
                    <TR>
                    <TD vAlign=top width=7 rowSpan=4><IMG height=1
                              alt=""
                              src="images/aa/pixel_trans.gif"
                              width=7 border=0></TD>
                    <TD vAlign=top width=495 colSpan=3 height=8><IMG
                              height=8
                              src="images/aa/Untitled-1_02.jpg"
                              width=495></TD></TR>
                    <TR>
                    <TD vAlign=top width=5
                            background="images/aa/Untitled-1_03.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=5 border=0></TD>
                    <TD width=484
                            background="images/aa/Untitled-1_04.gif">
                        <TABLE cellSpacing=0 cellPadding=2
                              width="100%" border=0>
                        <TBODY>
                        <TR>
                        <TD class=main>
                           <TABLE cellSpacing=0 cellPadding=2 border=0>
                           <TBODY>

                           <TR>
                           <TD class=main>&nbsp;<?php echo ENTRY_STREET_ADDRESS; ?></TD>
                           <TD class=main>&nbsp<?php
  if ($is_read_only) {
    echo $account['entry_street_address'];
  } elseif ($error) {
    if ($entry_street_address_error) {
      echo tep_draw_input_field('street_address') . '&nbsp;' . ENTRY_STREET_ADDRESS_ERROR;
    } else {
      echo $street_address . tep_draw_hidden_field('street_address');
    }
  } else {
    echo tep_draw_input_field('street_address', $account['entry_street_address']) . '&nbsp;' . ENTRY_STREET_ADDRESS_TEXT;
  }
?></TD></TR>
                                <TR>
                                <TD class=main>&nbsp;<?php echo ENTRY_POST_CODE; ?></TD>
                                <TD class=main>&nbsp;<?php
  if ($is_read_only) {
    echo $account['entry_postcode'];
  } elseif ($error) {
    if ($entry_post_code_error) {
      echo tep_draw_input_field('postcode') . '&nbsp;' . ENTRY_POST_CODE_ERROR;
    } else {
      echo $postcode . tep_draw_hidden_field('postcode');
    }
  } else {
    echo tep_draw_input_field('postcode', $account['entry_postcode']) . '&nbsp;' . ENTRY_POST_CODE_TEXT;
  }
?></TD></TR>

                                <TR>
                                <TD class=main>&nbsp;<?php echo ENTRY_CITY; ?></TD>
                                <TD class=main>&nbsp;<?php
  if ($is_read_only) {
    echo $account['entry_city'];
  } elseif ($error) {
    if ($entry_city_error) {
      echo tep_draw_input_field('city') . '&nbsp;' . ENTRY_CITY_ERROR;
    } else {
      echo $city . tep_draw_hidden_field('city');
    }
  } else {
    echo tep_draw_input_field('city', $account['entry_city']) . '&nbsp;' . ENTRY_CITY_TEXT;
  }
?></TD>
</TR>
<TR>
                                <TD class=main>&nbsp;<?php
 echo ENTRY_COUNTRY;
 ?></TD>
                                <TD class=main>&nbsp;<?php
     if ($is_read_only) {       echo tep_get_country_name($account['entry_country_id']);     }
elseif
($error) {
       if ($entry_country_error) {
         echo tep_get_country_list('country') . '&nbsp;' . ENTRY_COUNTRY_ERROR;
       } else {
         echo tep_get_country_name($country) . tep_draw_hidden_field('country');
       }
     } else {
       echo tep_get_country_list('country', $account['entry_country_id']) . '&nbsp;' . ENTRY_COUNTRY_TEXT;
     }
?></TD>
</TR>
</TBODY></TABLE></TD></TR></TBODY></TABLE></TD>

                            <TD vAlign=top width=6
                            background="images/aa/Untitled-1_05.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=6 border=0></TD>
                        <TR>
                            <TD vAlign=top width=495 colSpan=3 height=18><IMG
                              height=18
                              src="images/aa/Untitled-1_06.jpg"
                              width=495></TD></TR></TBODY></TABLE></TD></TR>

    <tr>
    <td class="formAreaTitle"><br><?php echo CATEGORY_CONTACT; ?></td>
  </tr>

  <TR>
           <TD class=main>
                    <TABLE cellSpacing=0 cellPadding=0 width=500 align=left
                        border=0>
                    <TBODY>
                    <TR>
                    <TD vAlign=top width=7 rowSpan=4><IMG height=1
                              alt=""
                              src="images/aa/pixel_trans.gif"
                              width=7 border=0></TD>
                    <TD vAlign=top width=495 colSpan=3 height=8><IMG
                              height=8
                              src="images/aa/Untitled-1_02.jpg"
                              width=495></TD></TR>
                    <TR>
                    <TD vAlign=top width=5
                            background="images/aa/Untitled-1_03.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=5 border=0></TD>
                    <TD width=484
                            background="images/aa/Untitled-1_04.gif">
                        <TABLE cellSpacing=0 cellPadding=2
                              width="100%" border=0>
                        <TBODY>
                        <TR>
                        <TD class=main>
                           <TABLE cellSpacing=0 cellPadding=2 border=0>
                           <TBODY>

                           <TR>
                           <TD class=main>&nbsp;<?php echo ENTRY_TELEPHONE_NUMBER; ?></TD>
                           <TD class=main>&nbsp<?php
  if ($is_read_only) {
    echo $account['customers_telephone'];
  } elseif ($error) {
    if ($entry_telephone_error) {
      echo tep_draw_input_field('telephone') . '&nbsp;' . ENTRY_TELEPHONE_NUMBER_ERROR;
    } else {
      echo $telephone . tep_draw_hidden_field('telephone');
    }
  } else {
    echo tep_draw_input_field('telephone', $account['customers_telephone']) . '&nbsp;' . ENTRY_TELEPHONE_NUMBER_TEXT;
  }
?></TD></TR>
                                <TR>
                                <TD class=main>&nbsp;<?php echo ENTRY_FAX_NUMBER; ?></TD>
                                <TD class=main>&nbsp;<?php
  if ($is_read_only) {
    echo $account['customers_fax'];
  } elseif ($processed) {
    echo $fax . tep_draw_hidden_field('fax');
  } else {
    echo tep_draw_input_field('fax', $account['customers_fax']) . '&nbsp;' . ENTRY_FAX_NUMBER_TEXT;
  }
?></TD></TR>
</TBODY></TABLE></TD></TR></TBODY></TABLE></TD>

                            <TD vAlign=top width=6
                            background="images/aa/Untitled-1_05.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=6 border=0></TD>
                        <TR>
                            <TD vAlign=top width=495 colSpan=3 height=18><IMG
                              height=18
                              src="images/aa/Untitled-1_06.jpg"
                              width=495></TD></TR></TBODY></TABLE></TD></TR>
               <tr>
    <td class="formAreaTitle"><br><?php echo CATEGORY_OPTIONS; ?></td>
  </tr>

  <TR>
           <TD class=main>
                    <TABLE cellSpacing=0 cellPadding=0 width=500 align=left
                        border=0>
                    <TBODY>
                    <TR>
                    <TD vAlign=top width=7 rowSpan=4><IMG height=1
                              alt=""
                              src="images/aa/pixel_trans.gif"
                              width=7 border=0></TD>
                    <TD vAlign=top width=495 colSpan=3 height=8><IMG
                              height=8
                              src="images/aa/Untitled-1_02.jpg"
                              width=495></TD></TR>
                    <TR>
                    <TD vAlign=top width=5
                            background="images/aa/Untitled-1_03.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=5 border=0></TD>
                    <TD width=484
                            background="images/aa/Untitled-1_04.gif">
                        <TABLE cellSpacing=0 cellPadding=2
                              width="100%" border=0>
                        <TBODY>
                        <TR>
                        <TD class=main>
                           <TABLE cellSpacing=0 cellPadding=2 border=0>
                           <TBODY>

                           <TR>
                           <TD class=main>&nbsp;<?php echo ENTRY_NEWSLETTER; ?></TD>
                           <TD class=main>&nbsp<?php
  if ($is_read_only) {
    if ($account['customers_newsletter'] == '1') {
      echo ENTRY_NEWSLETTER_YES;
    } else {
      echo ENTRY_NEWSLETTER_NO;
    }
  } elseif ($processed) {
    if ($newsletter == '1') {
      echo ENTRY_NEWSLETTER_YES;
    } else {
      echo ENTRY_NEWSLETTER_NO;
    }
    echo tep_draw_hidden_field('newsletter');
  } else {
    echo tep_draw_pull_down_menu('newsletter', $newsletter_array, $account['customers_newsletter']) . '&nbsp;' . ENTRY_NEWSLETTER_TEXT;
  }
?></TD></TR>
</TBODY></TABLE></TD></TR></TBODY></TABLE></TD>

                            <TD vAlign=top width=6
                            background="images/aa/Untitled-1_05.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=6 border=0></TD>
                        <TR>
                            <TD vAlign=top width=495 colSpan=3 height=18><IMG
                              height=18
                              src="images/aa/Untitled-1_06.jpg"
                              width=495></TD></TR></TBODY></TABLE></TD></TR>
<?php
  if (!$is_read_only) {
?>
                                 <tr>
    <td class="formAreaTitle"><br><?php echo NEW_CATEGORY_PASSWORD; ?></td>
  </tr>

  <TR>
           <TD class=main>
                    <TABLE cellSpacing=0 cellPadding=0 width=500 align=left
                        border=0>
                    <TBODY>
                    <TR>
                    <TD vAlign=top width=7 rowSpan=4><IMG height=1
                              alt=""
                              src="images/aa/pixel_trans.gif"
                              width=7 border=0></TD>
                    <TD vAlign=top width=495 colSpan=3 height=8><IMG
                              height=8
                              src="images/aa/Untitled-1_02.jpg"
                              width=495></TD></TR>
                    <TR>
                    <TD vAlign=top width=5
                            background="images/aa/Untitled-1_03.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=5 border=0></TD>
                    <TD width=484
                            background="images/aa/Untitled-1_04.gif">
                        <TABLE cellSpacing=0 cellPadding=2
                              width="100%" border=0>
                        <TBODY>
                        <TR>
                        <TD class=main>
                           <TABLE cellSpacing=0 cellPadding=2 border=0>
                           <TBODY>

                           <TR>
                           <TD class=main>&nbsp;<?php echo ENTRY_EMAIL_WARNING; ?></TD>
                           </TR>
</TBODY></TABLE></TD></TR></TBODY></TABLE></TD>

                            <TD vAlign=top width=6
                            background="images/aa/Untitled-1_05.jpg"><IMG
                              height=1 alt=""
                              src="images/pixel_trans.gif"
                              width=6 border=0></TD>
                        <TR>
                            <TD vAlign=top width=495 colSpan=3 height=18><IMG
                              height=18
                              src="images/aa/Untitled-1_06.jpg"
                              width=495></TD></TR></TBODY></TABLE></TD></TR>

<?php
    }
?>
       
    </table></td>
  </tr>
<?php
?>
</table>